#
# spec file for package python-mox3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-mox3
Version:        0.8.0
Release:        6.1
Summary:        Mock object framework for Python
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.python.org/packages/source/m/mox3/mox3-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires:       python-fixtures >= 0.3.14
Requires:       python-pbr >= 0.11
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Mox3 is an unofficial port of the Google mox framework
(http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
with mox as possible, but small enhancements have been made. The library was
tested on Python version 3.2, 2.7 and 2.6.

%prep
%setup -q -n mox3-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING.txt ChangeLog AUTHORS README.rst
%{python_sitelib}/*

%changelog
* Wed Jun 17 2015 tbechtold@suse.com
- update to 0.8.0:
  * Fixes to allow a new release
  * Updated requirements
  * Add a fixture for consuming mox3 easily
  * Add CONTRIBUTING file
  * Cleaed up AUTHORS/ChangeLog file
  * Migrate test bases to testtools
  * Fix all of the flake8/hacking warnings
  * Fix the leading indentation issue
  * Updated to use OpenStack standards
  * Add openstack stuff
  * Changed project description
  * Author is not required - maintainer is enough
  * Added tests to sdist
  * Applied some changes according to http://getpython3.com/diveintopython3/packaging.html
  * Changed directory test to tests. Fixed travis config
  * Adjusted the structure of the mox3
  * Minor fixes + changes in metadata
  * Update README
  * Fixed pep8 issues
  * Added test for changed semantics in Python 3
  * Added modification info
  * Fixed isinstance check on instances of MockObject
  * Fixed a bug when dir() called on MockObject was not returning attributes of a mocked class (Python3)
  * Pep8's E111 error is now ignored
  * Removed exclamation mark from travis.yml
  * Added pep8 to .travis.yml
  * Fixed deprecation warnings in mox_test.py
  * Introduced class to which mocks can be bound in order to preserve binding information (Python3 and missing unbound methods issue)
  * Added __hash__ for MockMethod - no default hash in py3k
  * bugfix for unhashable/uncomparable dicts
  * Restored callable function since it's present in python 3.2
  * Converted all classes to the new style (inheriting from object) - this is the only option in py3k
  * Py3k always sets re.U flag, so the resulting regex.flags are equals to flags | re.U
  * Fixed all the simple compatiblity issues
  * Fixed compatiblity issues in stubout
  * Fixed some of the compatiblity issues
  * info about modification
  * Added modification info
  * Enabled Travis CI
  * Enabled Travis CI
  * Another bugfix... Tests are still passing
  * Bugfix. At least I hope so..
  * fixed indentation
  * bugfix
  * Added .gitignore
  * Updated to version 0.5.3
  * Numerous fixes from Google:
  * Mox release 0.5.1, which includes some bug fixes and tests for stubout
  * Fix for Issue 3, submitted by a...@therobots.org
  * Fix for Issue 5, submitted by agoratim
  * Patch from Matt Brown (mdbrow@gmail.com) to inspect the arguments of mocked methods. Alright! :)
  * Added support for __contains__, thanks to Adam Lowry
  * Added import for inspect, and tests for stubout. Patch by Manuel Holtgrewe
  * Remove duplicate NotTest. Bad patch
  * Add a Not comparator to compose with other comparators
  * Fix MoxTestBase to be usable with multiple-inheritance
  * Write a README
  * Start our first release at 0.5.0, not 1.0.0
  * Include the mox_test_helper.py in the distribution
  * Fix mailing list address
  * Initial import of mox (originally an internal Google project)
- Adjust Requires according to requirements.txt
* Mon Sep  2 2013 dmueller@suse.com
- Initial package (0.7.0)
